--[[	Copyright © 2018 Ultroman	 ]]
name = "Stat Regen And Degen"
description = "A customizable regen AND degen system for both health, sanity and hunger.\nSettings:\n-> Time between each re/degeneration\n-> How much to re/degenerate per re/degeneration\nThreshold for when to stop re/degenerating.\n-> How long to stand still before you can regenerate\n-> How long after a fight before you can regenerate\n-> Minimum hunger, sanity and/or health required\n-> Hunger, sanity and/or health cost.\nAnd much, much more!!"
author = "Ultroman"
version = "0.1.6"

forumthread = ""

api_version = 6

dont_starve_compatible = true
reign_of_giants_compatible = true
shipwrecked_compatible = true
hamlet_compatible = true

priority = 0

icon_atlas = "preview.xml"
icon = "preview.tex"

configuration_options =
{
	{
		name 	= "",
		label 	= "HEALTH REGENERATION",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "HealthRegenerationInterval",
		label = "Interval",
		hover = "Regenerate lost health every time the chosen interval is reached, counting from when health was registered as not full.",
		options =	{
						{description = "Off", data = 0, hover = "Health regeneration disabled."},
						{description = "1/16 segment", data = 1, hover = "Regenerate health 16 times per clock segment."},
						{description = "1/8 segment", data = 2, hover = "Regenerate health 8 times per clock segment."},
						{description = "1/4 segment", data = 3, hover = "Regenerate health 4 times per clock segment."},
						{description = "1/2 segment", data = 4, hover = "Regenerate health 2 times per clock segment."},
						{description = "1 segment", data = 5, hover = "Regenerate health every 1 clock segments."},
						{description = "2 segments", data = 6, hover = "Regenerate health every 2 clock segments."},
						{description = "3 segments", data = 7, hover = "Regenerate health every 3 clock segments."},
						{description = "4 segments", data = 8, hover = "Regenerate health every 4 clock segments."},
						{description = "5 segments", data = 9, hover = "Regenerate health every 5 clock segments."},
						{description = "6 segments", data = 10, hover = "Regenerate health every 6 clock segments."},
						{description = "7 segments", data = 11, hover = "Regenerate health every 7 clock segments."},
						{description = "8 segments", data = 12, hover = "Regenerate health every 8 clock segments."},
						{description = "9 segments", data = 13, hover = "Regenerate health every 9 clock segments."},
						{description = "10 segments", data = 14, hover = "Regenerate health every 10 clock segments."},
						{description = "11 segments", data = 15, hover = "Regenerate health every 11 clock segments."},
						{description = "12 segments", data = 16, hover = "Regenerate health every 12 clock segments."},
						{description = "13 segments", data = 17, hover = "Regenerate health every 13 clock segments."},
						{description = "14 segments", data = 18, hover = "Regenerate health every 14 clock segments."},
						{description = "15 segments", data = 19, hover = "Regenerate health every 15 clock segments."},
						{description = "1 Day", data = 20, hover = "Regenerate health every day."},
						{description = "2 Days", data = 21, hover = "Regenerate health every 2 days."},
						{description = "3 Days", data = 22, hover = "Regenerate health every 3 days."},
						{description = "4 Days", data = 23, hover = "Regenerate health every 4 days."},
						{description = "5 Days", data = 24, hover = "Regenerate health every 5 days."},
						{description = "6 Days", data = 25, hover = "Regenerate health every 6 days."},
						{description = "7 Days", data = 26, hover = "Regenerate health every 7 days."},
					},
		default = 0,
	},
	{
		name = "HealthRegeneratedPerInterval",
		label = "Amount",
		hover = "Regenerate this number of lost health every time the interval chosen above is reached.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
						{description = "110", data = 110},
						{description = "120", data = 120},
						{description = "130", data = 130},
						{description = "140", data = 140},
						{description = "150", data = 150},
						{description = "160", data = 160},
						{description = "170", data = 170},
						{description = "180", data = 180},
						{description = "190", data = 190},
						{description = "200", data = 200},
					},
		default = 1,
	},
	{
		name = "HealthRegenerationThreshold",
		label = "Threshold",
		hover = "Do not regenerate health, when health is above this percentage.",
		options =	{
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
						{description = "100%", data = 100},
					},
		default = 100,
	},
	{
		name = "DelayAfterMovingBeforePlayerCanRegenerateHealth",
		label = "Move Delay",
		hover = "Minimum time in seconds from last moving, before the health regeneration timer starts counting again. Involuntary movement counts as movement.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.5", data = 0.5},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "DelayAfterFightingBeforePlayerCanRegenerateHealth",
		label = "Combat Delay",
		hover = "Minimum time in seconds from last being hit or blocking or attacking, before the health regeneration timer starts counting again.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.5", data = 0.5},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "HungerRequirementForRegeneratingHealth",
		label = "Hunger Requirement",
		hover = "Minimum hunger percentage to regenerate health.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "SanityRequirementForRegeneratingHealth",
		label = "Sanity Requirement",
		hover = "Minimum sanity percentage to regenerate health.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "HealthRegenerationHungerCost",
		label = "Hunger Cost",
		hover = "The amount of hunger it costs every time health regeneration happens.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.1", data = 0.1},
						{description = "0.2", data = 0.2},
						{description = "0.3", data = 0.3},
						{description = "0.4", data = 0.4},
						{description = "0.5", data = 0.5},
						{description = "0.6", data = 0.6},
						{description = "0.7", data = 0.7},
						{description = "0.8", data = 0.8},
						{description = "0.9", data = 0.9},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "HealthRegenerationSanityCost",
		label = "Sanity Cost",
		hover = "The amount of sanity it costs every time health regeneration happens.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.1", data = 0.1},
						{description = "0.2", data = 0.2},
						{description = "0.3", data = 0.3},
						{description = "0.4", data = 0.4},
						{description = "0.5", data = 0.5},
						{description = "0.6", data = 0.6},
						{description = "0.7", data = 0.7},
						{description = "0.8", data = 0.8},
						{description = "0.9", data = 0.9},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	
	
	{
		name 	= "",
		label 	= "HEALTH DEGENERATION",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "HealthDegenerationInterval",
		label = "Interval",
		hover = "Degenerate health every time the chosen interval is reached, adhering to the thresholds below.",
		options =	{
						{description = "Off", data = 0, hover = "Health degeneration disabled."},
						{description = "1/16 segment", data = 1, hover = "Degenerate health 16 times per clock segment."},
						{description = "1/8 segment", data = 2, hover = "Degenerate health 8 times per clock segment."},
						{description = "1/4 segment", data = 3, hover = "Degenerate health 4 times per clock segment."},
						{description = "1/2 segment", data = 4, hover = "Degenerate health 2 times per clock segment."},
						{description = "1 segment", data = 5, hover = "Degenerate health every 1 clock segments."},
						{description = "2 segments", data = 6, hover = "Degenerate health every 2 clock segments."},
						{description = "3 segments", data = 7, hover = "Degenerate health every 3 clock segments."},
						{description = "4 segments", data = 8, hover = "Degenerate health every 4 clock segments."},
						{description = "5 segments", data = 9, hover = "Degenerate health every 5 clock segments."},
						{description = "6 segments", data = 10, hover = "Degenerate health every 6 clock segments."},
						{description = "7 segments", data = 11, hover = "Degenerate health every 7 clock segments."},
						{description = "8 segments", data = 12, hover = "Degenerate health every 8 clock segments."},
						{description = "9 segments", data = 13, hover = "Degenerate health every 9 clock segments."},
						{description = "10 segments", data = 14, hover = "Degenerate health every 10 clock segments."},
						{description = "11 segments", data = 15, hover = "Degenerate health every 11 clock segments."},
						{description = "12 segments", data = 16, hover = "Degenerate health every 12 clock segments."},
						{description = "13 segments", data = 17, hover = "Degenerate health every 13 clock segments."},
						{description = "14 segments", data = 18, hover = "Degenerate health every 14 clock segments."},
						{description = "15 segments", data = 19, hover = "Degenerate health every 15 clock segments."},
						{description = "1 Day", data = 20, hover = "Degenerate health every day."},
						{description = "2 Days", data = 21, hover = "Degenerate health every 2 days."},
						{description = "3 Days", data = 22, hover = "Degenerate health every 3 days."},
						{description = "4 Days", data = 23, hover = "Degenerate health every 4 days."},
						{description = "5 Days", data = 24, hover = "Degenerate health every 5 days."},
						{description = "6 Days", data = 25, hover = "Degenerate health every 6 days."},
						{description = "7 Days", data = 26, hover = "Degenerate health every 7 days."},
					},
		default = 0,
	},
	{
		name = "HealthDegeneratedPerInterval",
		label = "Amount",
		hover = "Degenerate this number of health every time the interval chosen above is reached.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
						{description = "110", data = 110},
						{description = "120", data = 120},
						{description = "130", data = 130},
						{description = "140", data = 140},
						{description = "150", data = 150},
						{description = "160", data = 160},
						{description = "170", data = 170},
						{description = "180", data = 180},
						{description = "190", data = 190},
						{description = "200", data = 200},
					},
		default = 1,
	},
	{
		name = "HealthDegenerationThreshold",
		label = "Threshold",
		hover = "Do not degenerate health, when health is below this percentage.",
		options =	{
						{description = "0%", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
						{description = "100%", data = 100},
					},
		default = 25,
	},
	{
		name = "HungerThresholdForDegeneratingHealth",
		label = "Hunger Threshold",
		hover = "Degenerate health when hunger is lower than this percentage.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "SanityThresholdForDegeneratingHealth",
		label = "Sanity Threshold",
		hover = "Degenerate health when sanity is lower than this percentage.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "HealthDegenerationAllThresholdsMustBeBroken",
		label = "Must Break All Thresh.",
		hover = "Only degen if all thresholds are broken.\nOtherwise, you degen if ANY threshold is broken.",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = true,
	},
	{
		name = "HealthDegenerationRemoveHungerHealthDegen",
		label = "Turn Off Starve Damage",
		hover = "Disable the health degeneration done by the game when on 0 hunger.\nPrevents stacking the game's usual health degen with this mod's health degen.",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "HealthDegenerationCanKill",
		label = "Health Degen Can Kill?",
		hover = "Toggle whether health degen can be deadly or it instead stops at around 1 HP.",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	
	
	{
		name 	= "",
		label 	= "SANITY REGENERATION",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "SanityRegenerationInterval",
		label = "Interval",
		hover = "Regenerate lost sanity every time the chosen interval is reached, counting from when sanity was registered as not full.",
		options =	{
						{description = "Off", data = 0, hover = "Sanity regeneration disabled."},
						{description = "1/16 segment", data = 1, hover = "Regenerate sanity 16 times per clock segment."},
						{description = "1/8 segment", data = 2, hover = "Regenerate sanity 8 times per clock segment."},
						{description = "1/4 segment", data = 3, hover = "Regenerate sanity 4 times per clock segment."},
						{description = "1/2 segment", data = 4, hover = "Regenerate sanity 2 times per clock segment."},
						{description = "1 segment", data = 5, hover = "Regenerate sanity every 1 clock segments."},
						{description = "2 segments", data = 6, hover = "Regenerate sanity every 2 clock segments."},
						{description = "3 segments", data = 7, hover = "Regenerate sanity every 3 clock segments."},
						{description = "4 segments", data = 8, hover = "Regenerate sanity every 4 clock segments."},
						{description = "5 segments", data = 9, hover = "Regenerate sanity every 5 clock segments."},
						{description = "6 segments", data = 10, hover = "Regenerate sanity every 6 clock segments."},
						{description = "7 segments", data = 11, hover = "Regenerate sanity every 7 clock segments."},
						{description = "8 segments", data = 12, hover = "Regenerate sanity every 8 clock segments."},
						{description = "9 segments", data = 13, hover = "Regenerate sanity every 9 clock segments."},
						{description = "10 segments", data = 14, hover = "Regenerate sanity every 10 clock segments."},
						{description = "11 segments", data = 15, hover = "Regenerate sanity every 11 clock segments."},
						{description = "12 segments", data = 16, hover = "Regenerate sanity every 12 clock segments."},
						{description = "13 segments", data = 17, hover = "Regenerate sanity every 13 clock segments."},
						{description = "14 segments", data = 18, hover = "Regenerate sanity every 14 clock segments."},
						{description = "15 segments", data = 19, hover = "Regenerate sanity every 15 clock segments."},
						{description = "1 Day", data = 20, hover = "Regenerate sanity every day."},
						{description = "2 Days", data = 21, hover = "Regenerate sanity every 2 days."},
						{description = "3 Days", data = 22, hover = "Regenerate sanity every 3 days."},
						{description = "4 Days", data = 23, hover = "Regenerate sanity every 4 days."},
						{description = "5 Days", data = 24, hover = "Regenerate sanity every 5 days."},
						{description = "6 Days", data = 25, hover = "Regenerate sanity every 6 days."},
						{description = "7 Days", data = 26, hover = "Regenerate sanity every 7 days."},
					},
		default = 0,
	},
	{
		name = "SanityRegeneratedPerInterval",
		label = "Amount",
		hover = "Regenerate this number of lost sanity every time the interval chosen above is reached.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
						{description = "110", data = 110},
						{description = "120", data = 120},
						{description = "130", data = 130},
						{description = "140", data = 140},
						{description = "150", data = 150},
						{description = "160", data = 160},
						{description = "170", data = 170},
						{description = "180", data = 180},
						{description = "190", data = 190},
						{description = "200", data = 200},
					},
		default = 1,
	},
	{
		name = "SanityRegenerationThreshold",
		label = "Threshold",
		hover = "Do not regenerate sanity, when sanity is above this percentage.",
		options =	{
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
						{description = "100%", data = 100},
					},
		default = 100,
	},
	{
		name = "DelayAfterMovingBeforePlayerCanRegenerateSanity",
		label = "Move Delay",
		hover = "Minimum time in seconds from last moving, before the sanity regeneration timer starts counting again. Involuntary movement counts as movement.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.5", data = 0.5},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "DelayAfterFightingBeforePlayerCanRegenerateSanity",
		label = "Combat Delay",
		hover = "Minimum time in seconds from last being hit or blocking or attacking, before the sanity regeneration timer starts counting again.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.5", data = 0.5},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "HungerRequirementForRegeneratingSanity",
		label = "Hunger Requirement",
		hover = "Minimum hunger percentage to regenerate sanity.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "HealthRequirementForRegeneratingSanity",
		label = "Health Requirement",
		hover = "Minimum health percentage to regenerate sanity.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "SanityRegenerationHungerCost",
		label = "Hunger Cost",
		hover = "The amount of hunger it costs every time sanity regeneration happens.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.1", data = 0.1},
						{description = "0.2", data = 0.2},
						{description = "0.3", data = 0.3},
						{description = "0.4", data = 0.4},
						{description = "0.5", data = 0.5},
						{description = "0.6", data = 0.6},
						{description = "0.7", data = 0.7},
						{description = "0.8", data = 0.8},
						{description = "0.9", data = 0.9},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "SanityRegenerationHealthCost",
		label = "Health Cost",
		hover = "The amount of health it costs every time sanity regeneration happens.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.1", data = 0.1},
						{description = "0.2", data = 0.2},
						{description = "0.3", data = 0.3},
						{description = "0.4", data = 0.4},
						{description = "0.5", data = 0.5},
						{description = "0.6", data = 0.6},
						{description = "0.7", data = 0.7},
						{description = "0.8", data = 0.8},
						{description = "0.9", data = 0.9},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	
	
	{
		name 	= "",
		label 	= "SANITY DEGENERATION",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "SanityDegenerationInterval",
		label = "Interval",
		hover = "Degenerate sanity every time the chosen interval is reached, adhering to the thresholds below.",
		options =	{
						{description = "Off", data = 0, hover = "Sanity degeneration disabled."},
						{description = "1/16 segment", data = 1, hover = "Degenerate sanity 16 times per clock segment."},
						{description = "1/8 segment", data = 2, hover = "Degenerate sanity 8 times per clock segment."},
						{description = "1/4 segment", data = 3, hover = "Degenerate sanity 4 times per clock segment."},
						{description = "1/2 segment", data = 4, hover = "Degenerate sanity 2 times per clock segment."},
						{description = "1 segment", data = 5, hover = "Degenerate sanity every 1 clock segments."},
						{description = "2 segments", data = 6, hover = "Degenerate sanity every 2 clock segments."},
						{description = "3 segments", data = 7, hover = "Degenerate sanity every 3 clock segments."},
						{description = "4 segments", data = 8, hover = "Degenerate sanity every 4 clock segments."},
						{description = "5 segments", data = 9, hover = "Degenerate sanity every 5 clock segments."},
						{description = "6 segments", data = 10, hover = "Degenerate sanity every 6 clock segments."},
						{description = "7 segments", data = 11, hover = "Degenerate sanity every 7 clock segments."},
						{description = "8 segments", data = 12, hover = "Degenerate sanity every 8 clock segments."},
						{description = "9 segments", data = 13, hover = "Degenerate sanity every 9 clock segments."},
						{description = "10 segments", data = 14, hover = "Degenerate sanity every 10 clock segments."},
						{description = "11 segments", data = 15, hover = "Degenerate sanity every 11 clock segments."},
						{description = "12 segments", data = 16, hover = "Degenerate sanity every 12 clock segments."},
						{description = "13 segments", data = 17, hover = "Degenerate sanity every 13 clock segments."},
						{description = "14 segments", data = 18, hover = "Degenerate sanity every 14 clock segments."},
						{description = "15 segments", data = 19, hover = "Degenerate sanity every 15 clock segments."},
						{description = "1 Day", data = 20, hover = "Degenerate sanity every day."},
						{description = "2 Days", data = 21, hover = "Degenerate sanity every 2 days."},
						{description = "3 Days", data = 22, hover = "Degenerate sanity every 3 days."},
						{description = "4 Days", data = 23, hover = "Degenerate sanity every 4 days."},
						{description = "5 Days", data = 24, hover = "Degenerate sanity every 5 days."},
						{description = "6 Days", data = 25, hover = "Degenerate sanity every 6 days."},
						{description = "7 Days", data = 26, hover = "Degenerate sanity every 7 days."},
					},
		default = 0,
	},
	{
		name = "SanityDegeneratedPerInterval",
		label = "Amount",
		hover = "Degenerate this number of sanity every time the interval chosen above is reached.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
						{description = "110", data = 110},
						{description = "120", data = 120},
						{description = "130", data = 130},
						{description = "140", data = 140},
						{description = "150", data = 150},
						{description = "160", data = 160},
						{description = "170", data = 170},
						{description = "180", data = 180},
						{description = "190", data = 190},
						{description = "200", data = 200},
					},
		default = 1,
	},
	{
		name = "SanityDegenerationThreshold",
		label = "Threshold",
		hover = "Do not degenerate sanity, when sanity is below this percentage.",
		options =	{
						{description = "0%", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
						{description = "100%", data = 100},
					},
		default = 25,
	},
	{
		name = "HealthThresholdForDegeneratingSanity",
		label = "Health Threshold",
		hover = "Degenerate sanity when health is lower than this percentage.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "HungerThresholdForDegeneratingSanity",
		label = "Hunger Threshold",
		hover = "Degenerate sanity when hunger is lower than this percentage.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "SanityDegenerationAllThresholdsMustBeBroken",
		label = "Must Break All Thresh.",
		hover = "Only degen if all thresholds are broken.\nOtherwise, you degen if ANY threshold is broken.",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = true,
	},
	
	
	{
		name 	= "",
		label 	= "HUNGER REGENERATION",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "HungerRegenerationInterval",
		label = "Interval",
		hover = "Regenerate lost hunger every time the chosen interval is reached, counting from when hunger was registered as not full.",
		options =	{
						{description = "Off", data = 0, hover = "Hunger regeneration disabled."},
						{description = "1/16 segment", data = 1, hover = "Regenerate hunger 16 times per clock segment."},
						{description = "1/8 segment", data = 2, hover = "Regenerate hunger 8 times per clock segment."},
						{description = "1/4 segment", data = 3, hover = "Regenerate hunger 4 times per clock segment."},
						{description = "1/2 segment", data = 4, hover = "Regenerate hunger 2 times per clock segment."},
						{description = "1 segment", data = 5, hover = "Regenerate hunger every 1 clock segments."},
						{description = "2 segments", data = 6, hover = "Regenerate hunger every 2 clock segments."},
						{description = "3 segments", data = 7, hover = "Regenerate hunger every 3 clock segments."},
						{description = "4 segments", data = 8, hover = "Regenerate hunger every 4 clock segments."},
						{description = "5 segments", data = 9, hover = "Regenerate hunger every 5 clock segments."},
						{description = "6 segments", data = 10, hover = "Regenerate hunger every 6 clock segments."},
						{description = "7 segments", data = 11, hover = "Regenerate hunger every 7 clock segments."},
						{description = "8 segments", data = 12, hover = "Regenerate hunger every 8 clock segments."},
						{description = "9 segments", data = 13, hover = "Regenerate hunger every 9 clock segments."},
						{description = "10 segments", data = 14, hover = "Regenerate hunger every 10 clock segments."},
						{description = "11 segments", data = 15, hover = "Regenerate hunger every 11 clock segments."},
						{description = "12 segments", data = 16, hover = "Regenerate hunger every 12 clock segments."},
						{description = "13 segments", data = 17, hover = "Regenerate hunger every 13 clock segments."},
						{description = "14 segments", data = 18, hover = "Regenerate hunger every 14 clock segments."},
						{description = "15 segments", data = 19, hover = "Regenerate hunger every 15 clock segments."},
						{description = "1 Day", data = 20, hover = "Regenerate hunger every day."},
						{description = "2 Days", data = 21, hover = "Regenerate hunger every 2 days."},
						{description = "3 Days", data = 22, hover = "Regenerate hunger every 3 days."},
						{description = "4 Days", data = 23, hover = "Regenerate hunger every 4 days."},
						{description = "5 Days", data = 24, hover = "Regenerate hunger every 5 days."},
						{description = "6 Days", data = 25, hover = "Regenerate hunger every 6 days."},
						{description = "7 Days", data = 26, hover = "Regenerate hunger every 7 days."},
					},
		default = 0,
	},
	{
		name = "HungerRegeneratedPerInterval",
		label = "Amount",
		hover = "Regenerate this number of lost hunger every time the interval chosen above is reached.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
						{description = "110", data = 110},
						{description = "120", data = 120},
						{description = "130", data = 130},
						{description = "140", data = 140},
						{description = "150", data = 150},
						{description = "160", data = 160},
						{description = "170", data = 170},
						{description = "180", data = 180},
						{description = "190", data = 190},
						{description = "200", data = 200},
					},
		default = 1,
	},
	{
		name = "HungerRegenerationThreshold",
		label = "Threshold",
		hover = "Do not regenerate hunger, when hunger is above this percentage.",
		options =	{
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
						{description = "100%", data = 100},
					},
		default = 100,
	},
	{
		name = "DelayAfterMovingBeforePlayerCanRegenerateHunger",
		label = "Move Delay",
		hover = "Minimum time in seconds from last moving, before the hunger regeneration timer starts counting again. Involuntary movement counts as movement.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.5", data = 0.5},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "DelayAfterFightingBeforePlayerCanRegenerateHunger",
		label = "Combat Delay",
		hover = "Minimum time in seconds from last being hit or blocking or attacking, before the hunger regeneration timer starts counting again.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.5", data = 0.5},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "SanityRequirementForRegeneratingHunger",
		label = "Sanity Requirement",
		hover = "Minimum sanity percentage to regenerate hunger.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "HealthRequirementForRegeneratingHunger",
		label = "Health Requirement",
		hover = "Minimum health percentage to regenerate hunger.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "HungerRegenerationSanityCost",
		label = "Sanity Cost",
		hover = "The amount of sanity it costs every time hunger regeneration happens.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.1", data = 0.1},
						{description = "0.2", data = 0.2},
						{description = "0.3", data = 0.3},
						{description = "0.4", data = 0.4},
						{description = "0.5", data = 0.5},
						{description = "0.6", data = 0.6},
						{description = "0.7", data = 0.7},
						{description = "0.8", data = 0.8},
						{description = "0.9", data = 0.9},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	{
		name = "HungerRegenerationHealthCost",
		label = "Health Cost",
		hover = "The amount of health it costs every time hunger regeneration happens.",
		options =	{
						{description = "Off", data = 0},
						{description = "0.1", data = 0.1},
						{description = "0.2", data = 0.2},
						{description = "0.3", data = 0.3},
						{description = "0.4", data = 0.4},
						{description = "0.5", data = 0.5},
						{description = "0.6", data = 0.6},
						{description = "0.7", data = 0.7},
						{description = "0.8", data = 0.8},
						{description = "0.9", data = 0.9},
						{description = "1", data = 1},
						{description = "1.5", data = 1.5},
						{description = "2", data = 2},
						{description = "2.5", data = 2.5},
						{description = "3", data = 3},
						{description = "3.5", data = 3.5},
						{description = "4", data = 4},
						{description = "4.5", data = 4.5},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "15", data = 15},
						{description = "20", data = 20},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
					},
		default = 0,
	},
	
	
	{
		name 	= "",
		label 	= "HUNGER DEGENERATION",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "HungerDegenerationInterval",
		label = "Interval",
		hover = "Degenerate hunger every time the chosen interval is reached, adhering to the thresholds below.",
		options =	{
						{description = "Off", data = 0, hover = "Hunger degeneration disabled."},
						{description = "1/16 segment", data = 1, hover = "Degenerate hunger 16 times per clock segment."},
						{description = "1/8 segment", data = 2, hover = "Degenerate hunger 8 times per clock segment."},
						{description = "1/4 segment", data = 3, hover = "Degenerate hunger 4 times per clock segment."},
						{description = "1/2 segment", data = 4, hover = "Degenerate hunger 2 times per clock segment."},
						{description = "1 segment", data = 5, hover = "Degenerate hunger every 1 clock segments."},
						{description = "2 segments", data = 6, hover = "Degenerate hunger every 2 clock segments."},
						{description = "3 segments", data = 7, hover = "Degenerate hunger every 3 clock segments."},
						{description = "4 segments", data = 8, hover = "Degenerate hunger every 4 clock segments."},
						{description = "5 segments", data = 9, hover = "Degenerate hunger every 5 clock segments."},
						{description = "6 segments", data = 10, hover = "Degenerate hunger every 6 clock segments."},
						{description = "7 segments", data = 11, hover = "Degenerate hunger every 7 clock segments."},
						{description = "8 segments", data = 12, hover = "Degenerate hunger every 8 clock segments."},
						{description = "9 segments", data = 13, hover = "Degenerate hunger every 9 clock segments."},
						{description = "10 segments", data = 14, hover = "Degenerate hunger every 10 clock segments."},
						{description = "11 segments", data = 15, hover = "Degenerate hunger every 11 clock segments."},
						{description = "12 segments", data = 16, hover = "Degenerate hunger every 12 clock segments."},
						{description = "13 segments", data = 17, hover = "Degenerate hunger every 13 clock segments."},
						{description = "14 segments", data = 18, hover = "Degenerate hunger every 14 clock segments."},
						{description = "15 segments", data = 19, hover = "Degenerate hunger every 15 clock segments."},
						{description = "1 Day", data = 20, hover = "Degenerate hunger every day."},
						{description = "2 Days", data = 21, hover = "Degenerate hunger every 2 days."},
						{description = "3 Days", data = 22, hover = "Degenerate hunger every 3 days."},
						{description = "4 Days", data = 23, hover = "Degenerate hunger every 4 days."},
						{description = "5 Days", data = 24, hover = "Degenerate hunger every 5 days."},
						{description = "6 Days", data = 25, hover = "Degenerate hunger every 6 days."},
						{description = "7 Days", data = 26, hover = "Degenerate hunger every 7 days."},
					},
		default = 0,
	},
	{
		name = "HungerDegeneratedPerInterval",
		label = "Amount",
		hover = "Degenerate this number of hunger every time the interval chosen above is reached.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
						{description = "30", data = 30},
						{description = "35", data = 35},
						{description = "40", data = 40},
						{description = "45", data = 45},
						{description = "50", data = 50},
						{description = "55", data = 55},
						{description = "60", data = 60},
						{description = "65", data = 65},
						{description = "70", data = 70},
						{description = "75", data = 75},
						{description = "80", data = 80},
						{description = "85", data = 85},
						{description = "90", data = 90},
						{description = "95", data = 95},
						{description = "100", data = 100},
						{description = "110", data = 110},
						{description = "120", data = 120},
						{description = "130", data = 130},
						{description = "140", data = 140},
						{description = "150", data = 150},
						{description = "160", data = 160},
						{description = "170", data = 170},
						{description = "180", data = 180},
						{description = "190", data = 190},
						{description = "200", data = 200},
					},
		default = 1,
	},
	{
		name = "HungerDegenerationThreshold",
		label = "Threshold",
		hover = "Do not degenerate hunger, when hunger is below this percentage.",
		options =	{
						{description = "0%", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
						{description = "100%", data = 100},
					},
		default = 25,
	},
	{
		name = "HealthThresholdForDegeneratingHunger",
		label = "Health Threshold",
		hover = "Degenerate hunger when health is lower than this percentage.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "SanityThresholdForDegeneratingHunger",
		label = "Sanity Threshold",
		hover = "Degenerate hunger when sanity is lower than this percentage.",
		options =	{
						{description = "Off", data = 0},
						{description = "5%", data = 5},
						{description = "10%", data = 10},
						{description = "15%", data = 15},
						{description = "20%", data = 20},
						{description = "25%", data = 25},
						{description = "30%", data = 30},
						{description = "35%", data = 35},
						{description = "40%", data = 40},
						{description = "45%", data = 45},
						{description = "50%", data = 50},
						{description = "55%", data = 55},
						{description = "60%", data = 60},
						{description = "65%", data = 65},
						{description = "70%", data = 70},
						{description = "75%", data = 75},
						{description = "80%", data = 80},
						{description = "85%", data = 85},
						{description = "90%", data = 90},
						{description = "95%", data = 95},
					},
		default = 0,
	},
	{
		name = "HungerDegenerationAllThresholdsMustBeBroken",
		label = "Must Break All Thresh.",
		hover = "Only degen if all thresholds are broken.\nOtherwise, you degen if ANY threshold is broken.",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = true,
	},
}